const startdateposition = 20;
const d1 = moment('2017-10-28');
const m2555a = [56,57,58,59,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24];
const m2555b = [54,53,52,51,50,49,48,47,46,45,44,43,42,41,40,39,38,37,36,35,34,33,32,31,30,29,28,27,26];
const m3505a = [6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34];
const m3505b = [4,3,2,1,0,59,58,57,56,55,54,53,52,51,50,49,48,47,46,45,44,43,42,41,40,39,38,37,36];

function lt60(input) {
    if (input === 60) {
        return 0;
    } else {
        return input > 60 ? input - 60 : input;
    }
}

function find2555(input) {
    if ( input > 55 || input < 25) {
        return m2555b[m2555a.indexOf(input)];
    } else if (input < 55 && input > 25) {
        return m2555a[m2555b.indexOf(input)];
    } else if (input === 55 || input === 25) {
        return input;
    }
}

function find3505(input) {
    if ( input > 5 && input < 35) {
        let ta1 = m3505a.indexOf(input);
        return m3505b[m3505a.indexOf(input)];
    } else if (input < 5 || input > 35 ) {
        return m3505a[m3505b.indexOf(input)];
    } else if (input === 5 || input === 35) {
        return input;
    }
}

function getSet(input) {
    let minutes = new Array();
    minutes[0] = input < 10 ? '0' + input.toString() : input.toString();
    let mir1 = find2555(input);
    minutes[1] = mir1 < 10 ? '0' + mir1.toString() : mir1.toString();
    let mir2 = lt60(input+30);
    minutes[2] = mir2 < 10 ? '0' + mir2.toString() : mir2.toString();
    let mir3 = find3505(input);
    minutes[3] = mir3 < 10 ? '0' + mir3.toString() : mir3.toString();
    return minutes;
                       
}

let measureDate = Math.floor(new Date().getTime()/1000);
let baseDate = Math.floor(new Date('2017-10-28').getTime()/1000);
let dateDiff = measureDate - baseDate;
let dayDiff = Math.floor(dateDiff / (60*60*24));
let cm1 = dayDiff % 60;
let cm2 = cm1 +20;
let qClockToday = getSet(lt60(cm2));
document.getElementById('qclocktop').innerHTML = 'Q Clock "Today" [ Minute: <span class="qnumbercolor">'+qClockToday[0]+'</span> | :25/:55 Mirror: <span class="qnumbercolor">'+qClockToday[1]+'</span> | 180 Mirror: <span class="qnumbercolor">'+qClockToday[2]+'</span> | :35/:05 Mirror: <span class="qnumbercolor">'+qClockToday[3]+'</span> ]<br> ';